com.atlassian.clover.api.optimization

## Enum OptimizationOptions.TestSortOrder

- java.lang.Object
- - java.lang.Enum<OptimizationOptions.TestSortOrder>
  - - com.atlassian.clover.api.optimization.OptimizationOptions.TestSortOrder

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OptimizationOptions.TestSortOrder>
  Enclosing class:
    OptimizationOptions

      public static enum OptimizationOptions.TestSortOrder
      extends java.lang.Enum<OptimizationOptions.TestSortOrder>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAILFAST`
    `NONE`
    `RANDOM`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `asInteger()`
    `static OptimizationOptions.TestSortOrder` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OptimizationOptions.TestSortOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final OptimizationOptions.TestSortOrder NONE

    - #### FAILFAST

          public static final OptimizationOptions.TestSortOrder FAILFAST

    - #### RANDOM

          public static final OptimizationOptions.TestSortOrder RANDOM

  - ### Method Detail

    - #### values

          public static OptimizationOptions.TestSortOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OptimizationOptions.TestSortOrder c : OptimizationOptions.TestSortOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OptimizationOptions.TestSortOrder valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### asInteger

          public int asInteger()